com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowProceduresInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowProceduresInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowProceduresInfo
    extends Object

Data container for stored procedure metadata returned by the SHOW PROCEDURES command.

This class represents information about stored procedures including their signature (name and argument list) and return type. Used by JDBC metadata methods like getProcedures() to provide structured access to procedure information.

See Also:
  `DatabaseMetaData.getProcedures(String, String, String)`, `MetadataServerProxy.getProcedures(String, String, String, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowProceduresInfo(String procedureName, String argumentList)`
`ShowProceduresInfo(String databaseName, String schemaName, String procedureName, String returnType, String argumentList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getArgumentList()`
`String` `getDatabaseName()`
`String` `getProcedureName()`
`String` `getReturnType()`
`String` `getSchemaName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowProceduresInfo

    public ShowProceduresInfo(String databaseName,
                              String schemaName,
                              String procedureName,
                              String returnType,
                              String argumentList)

#### ShowProceduresInfo

    public ShowProceduresInfo(String procedureName,
                              String argumentList)

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()

#### getProcedureName

    public String getProcedureName()

#### getReturnType

    public String getReturnType()

#### getArgumentList

    public String getArgumentList()